
Foreman - Bug #2616

 Hostgroup fields not populating when parent fields are selected

06/04/2013 03:31 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://bugzilla.redhat.com/show_bug.cgi?id=970662

Description of problem:

If I select a domain when creating a Hostgroup the subnet field does not become available for selection. But if I save, or attempt to

save without entering a name, the field becomes selectable. Watching foreman/production.log shows 403s

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.9-1.el6_4.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.9-1.el6_4.noarch

candlepin-tomcat6-0.8.9-1.el6_4.noarch

elasticsearch-0.19.9-8.el6sat.noarch

foreman-1.1.10002-44.noarch

foreman-ec2-1.1.10002-44.noarch

foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch

foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch

foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch

foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch

foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch

foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch

foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch

foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch

foreman-libvirt-1.1.10002-44.noarch

foreman-postgresql-1.1.10002-44.noarch

foreman-proxy-1.1.10002-1.el6sat.noarch

foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch

katello-1.4.2-8.el6sat.noarch

katello-all-1.4.2-8.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-certs-tools-1.4.2-2.el6sat.noarch

katello-cli-1.4.2-6.el6sat.noarch

katello-cli-common-1.4.2-6.el6sat.noarch

katello-common-1.4.2-8.el6sat.noarch

katello-configure-1.4.3-12.el6sat.noarch

katello-configure-foreman-1.4.3-12.el6sat.noarch

katello-foreman-all-1.4.2-8.el6sat.noarch

katello-glue-candlepin-1.4.2-8.el6sat.noarch

katello-glue-elasticsearch-1.4.2-8.el6sat.noarch

katello-glue-pulp-1.4.2-8.el6sat.noarch

katello-qpid-broker-key-pair-1.0-1.noarch
katello-qpid-client-key-pair-1.0-1.noarch

katello-selinux-1.4.3-3.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-rpm-plugins-2.1.1-1.el6sat.noarch

pulp-selinux-2.1.1-1.el6sat.noarch

pulp-server-2.1.1-1.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch

ruby193-rubygem-net-ldap-0.2.2-7.el6_4.noarch

signo-0.0.15-1.el6sat.noarch

signo-katello-0.0.15-1.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. As the foreman admin user create a new host group (the assumption is that you already have a smart proxy, domain, subdomain

and content from Katello)

2.

3.

Actual results:

Some fields are not enabled after selecting values from the dropdowns (i.e. domain, operating system, etc)

Expected results:

Additional info:

Started GET "/foreman/foreman_katello_engine/activation_keys?environment_id=7" for 127.0.0.1 at 2013-06-04 09:41:39 -0400

Processing by HostgroupsController#environment_selected as /*

Parameters: {"utf8"=>"✓", "authenticity_token"=>"2aMzo6DbPV6vgYHtNcPVPpb04gzGDAHqb/k5vAfWA5s=",

"hostgroup"=>{"parent_id"=>"", "name"=>"qegroup2", "environment_id"=>"7", "puppet_ca_proxy_id"=>"",

"puppet_proxy_id"=>"", "domain_id"=>"", "architecture_id"=>"", "root_pass"=>"[FILTERED]", "organization_ids"=>["", ""]},

"kt_activation_keys"=>"", "host_id"=>"null"}

Processing by ForemanKatelloEngine::ActivationKeysController#index as */

Parameters: {"environment_id"=>"7"}

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

Rendered puppetclasses/_classes.html.erb (0.9ms)

Rendered puppetclasses/_class_selection.html.erb (8.3ms)

Completed 200 OK in 17ms (Views: 10.6ms | ActiveRecord: 1.0ms)

Completed 200 OK in 672ms (Views: 0.3ms | ActiveRecord: 1.4ms)

Started POST "/foreman/hostgroups/domain_selected" for 127.0.0.1 at 2013-06-04 09:41:50 -0400

Processing by HostgroupsController#domain_selected as */*

Parameters: {"domain_id"=>"3", "organization_id"=>"null"}

Rendered common/404.html.erb within layouts/application (1.2ms)

Completed 404 Not Found in 94ms (Views: 4.3ms | ActiveRecord: 1.3ms)

Associated revisions

Revision 1bd19611 - 06/06/2013 04:46 PM - Joseph Magen

fixes #2616 - Hostgroup fields not populating when parent fields are selected

Revision 5f852997 - 06/07/2013 04:59 AM - Joseph Magen

fixes #2616 - Hostgroup fields not populating when parent fields are selected

(cherry picked from commit 1bd19611c2420923350b72f150774134b5b179db)

History

#1 - 06/04/2013 03:37 PM - Dominic Cleal

- Category set to Web Interface

#2 - 06/04/2013 03:41 PM - Ohad Levy

- Assignee set to Joseph Magen
Joseph, this is simply a missing as taxonomy block around the domain selected html response.

#3 - 06/05/2013 09:14 AM - Joseph Magen

- Status changed from New to Ready For Testing

The original issue is actually fixed by Amos's PR https://github.com/theforeman/foreman/pull/688

I sent a new PR https://github.com/theforeman/foreman/pull/693 to scope format.html domain_selected by taxonomy

#4 - 06/06/2013 05:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1bd19611c2420923350b72f150774134b5b179db.
